const { app, BrowserWindow } = require('electron')

function createWindow () {
  // Create the browser window.
  const height = 600;
  const width = 800;
  const win = new BrowserWindow({
    width: width,
    height: height,
    minHeight:height,
    maxHeight:height,
    minWidth:width,
    maxWidth:width,
    frame:false,
    webPreferences: {
      nodeIntegration: true,
      enableRemoteModule:true,
    }
  })
  const loginWindow = new BrowserWindow({
    width: width/2,
    height: height/2,
    minHeight:height/2,
    maxHeight:height/2,
    minWidth:width/2,
    maxWidth:width/2,
    webPreferences: {
      nodeIntegration: true,
      enableRemoteModule:true,
    }
  })
  loginWindow.removeMenu();
  //load the index.html from a url
  win.loadURL('http://localhost:3000');

  // Open the DevTools.
  //win.webContents.openDevTools()
}

// This method will be called when Electron has finished
// initialization and is ready to create browser windows.
// Some APIs can only be used after this event occurs.
app.whenReady().then(createWindow)

// Quit when all windows are closed, except on macOS. There, it's common
// for applications and their menu bar to stay active until the user quits
// explicitly with Cmd + Q.
app.on('window-all-closed', () => {
  if (process.platform !== 'darwin') {
    app.quit()
  }
})

app.on('activate', () => {
  // On macOS it's common to re-create a window in the app when the
  // dock icon is clicked and there are no other windows open.
  
  if (BrowserWindow.getAllWindows().length === 0) {
    createWindow()
  }
})

// In this file you can include the rest of your app's specific main process
// code. You can also put them in separate files and require them here.